#' meta

#' meta
#' @param service service
#' @param username username
#' @param password password
#' @param element_id element ids "NO2" "O3", c(...),...
#' @param timeResolution timeResolution time resolution second, minute, houly, daily, monthly, yearly
#' @param station_id station ids "665", c(...),...
#' @param location location
#' @keywords friendlyr
#' @export
#' @examples
#' \dontrun{
#' meta()
#' }
meta <- function(service, username=NULL,password=NULL,element_id=NULL,timeResolution=NULL,station_id=NULL,location=NULL) {

  friend <- friendlyr(service=service, username=username,password=password)
  res <- friend$meta(element_id=element_id,timeResolution=timeResolution,station_id=station_id,location=location)
  res <- tibble::as_tibble(res)
  res$ID <- as.factor(res$ID)
  if (!is.null(element_id)) res$CO_NAME <- as.factor(res$CO_NAME)
  return(res)
}
